## org.opengis.go.display.style
Interface LineSymbolizer

All Superinterfaces:
  Cloneable, GraphicStyle

All Known Subinterfaces:
  PolygonSymbolizer

    public interface LineSymbolizer

extends GraphicStyle

Encapsulates the style data applicable to `Graphic`s that are of type Line in the sense of SLD (OGC 02-070).

Field Summary
`static ArrowStyle` `DEFAULT_STROKE_BEGIN_ARROW_STYLE` Default begin arrow style value.
`static DashArray` `DEFAULT_STROKE_DASH_ARRAY` Default dash array value.
`static float` `DEFAULT_STROKE_DASH_OFFSET` Default dash offset value.
`static ArrowStyle` `DEFAULT_STROKE_END_ARROW_STYLE` Default end arrow style value.
`static Color` `DEFAULT_STROKE_FILL_BACKGROUND_COLOR` Default stroke background color value.
`static Color` `DEFAULT_STROKE_FILL_COLOR` Default stroke color value.
`static float[]` `DEFAULT_STROKE_FILL_GRADIENT_POINTS` Default gradient point values.
`static float` `DEFAULT_STROKE_FILL_OPACITY` Default opacity value.
`static FillPattern` `DEFAULT_STROKE_FILL_PATTERN` Default fill pattern value.
`static FillStyle` `DEFAULT_STROKE_FILL_STYLE` Default fill style value.
`static LineCap` `DEFAULT_STROKE_LINE_CAP` Default line cap value.
`static float` `DEFAULT_STROKE_LINE_GAP` Default line gap value.
`static LineJoin` `DEFAULT_STROKE_LINE_JOIN` Default line join value.
`static LinePattern` `DEFAULT_STROKE_LINE_PATTERN` Default stroke line pattern value.
`static LineStyle` `DEFAULT_STROKE_LINE_STYLE` Default line style value.
`static float` `DEFAULT_STROKE_OPACITY` Default stroke opacity value.
`static float` `DEFAULT_STROKE_WIDTH` Default stroke width value.

Method Summary
`ArrowStyle` `getStrokeBeginArrowStyle()` Returns the stroke begin arrow style value.
`Color` `getStrokeColor()` Returns the stroke color value.
`DashArray` `getStrokeDashArray()` Returns the stroke dash array value.
`float` `getStrokeDashOffset()` Returns the stroke dash offset value.
`ArrowStyle` `getStrokeEndArrowStyle()` Returns the stroke end arrow style value.
`Color` `getStrokeFillBackgroundColor()` Returns the fill background color value.
`Color` `getStrokeFillColor()` Returns the fill color value.
`float[]` `getStrokeFillGradientPoints()` Returns the fill gradient points value, or null if there is no fill gradient.
`float` `getStrokeFillOpacity()` Returns the fill opacity value.
`FillPattern` `getStrokeFillPattern()` Returns the fill pattern value.
`FillStyle` `getStrokeFillStyle()` Returns the fill style value.
`LineCap` `getStrokeLineCap()` Returns the stroke line cap value.
`float` `getStrokeLineGap()` Returns the stroke line gap value.
`LineJoin` `getStrokeLineJoin()` Returns the stroke line join value.
`LinePattern` `getStrokeLinePattern()` Returns the stroke line pattern value.
`LineStyle` `getStrokeLineStyle()` Returns the stroke line style value.
`float` `getStrokeOpacity()` Returns the stroke opacity value.
`float` `getStrokeWidth()` Returns the width value.
`void` `setStrokeBeginArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke begin arrow style value.
`void` `setStrokeColor(Color strokeColor)` Sets the stroke color value.
`void` `setStrokeDashArray(DashArray strokeDashArray)` Sets the stroke dash array value.
`void` `setStrokeDashOffset(float strokeDashOffset)` Sets the stroke dash offset value.
`void` `setStrokeEndArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke end arrow style value.
`void` `setStrokeFillBackgroundColor(Color fillBackgroundColor)` Sets the fill background color value.
`void` `setStrokeFillColor(Color fillColor)` Sets the fill color value.
`void` `setStrokeFillGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` `setStrokeFillOpacity(float fillOpacity)` Sets the fill opacity value.
`void` `setStrokeFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` `setStrokeFillStyle(FillStyle fillStyle)` Sets the fill style value.
`void` `setStrokeLineCap(LineCap strokeLineCap)` Sets the stroke line cap value.
`void` `setStrokeLineGap(float strokeLineGap)` Sets the stroke line gap value.
`void` `setStrokeLineJoin(LineJoin strokeLineJoin)` Sets the stroke line join value.
`void` `setStrokeLinePattern(LinePattern strokeLinePattern)` Sets the stroke line pattern value.
`void` `setStrokeLineStyle(LineStyle strokeLineStyle)` Sets the stroke line style value.
`void` `setStrokeOpacity(float strokeOpacity)` Sets the stroke opacity value.
`void` `setStrokeWidth(float width)` Sets the width value.

Methods inherited from interface GraphicStyle
`addGraphicStyleListener, clone, getImplHint, removeGraphicStyleListener, setImplHint, setPropertiesFrom`

Field Detail

### DEFAULT_STROKE_BEGIN_ARROW_STYLE

    static final ArrowStyle DEFAULT_STROKE_BEGIN_ARROW_STYLE

  Default begin arrow style value.

### DEFAULT_STROKE_END_ARROW_STYLE

    static final ArrowStyle DEFAULT_STROKE_END_ARROW_STYLE

  Default end arrow style value.

### DEFAULT_STROKE_FILL_COLOR

    static final Color DEFAULT_STROKE_FILL_COLOR

  Default stroke color value.

### DEFAULT_STROKE_FILL_BACKGROUND_COLOR

    static final Color DEFAULT_STROKE_FILL_BACKGROUND_COLOR

  Default stroke background color value.

### DEFAULT_STROKE_DASH_ARRAY

    static final DashArray DEFAULT_STROKE_DASH_ARRAY

  Default dash array value.

### DEFAULT_STROKE_DASH_OFFSET

    static final float DEFAULT_STROKE_DASH_OFFSET

  Default dash offset value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_FILL_GRADIENT_POINTS

    static final float[] DEFAULT_STROKE_FILL_GRADIENT_POINTS

  Default gradient point values.

### DEFAULT_STROKE_FILL_OPACITY

    static final float DEFAULT_STROKE_FILL_OPACITY

  Default opacity value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_FILL_PATTERN

    static final FillPattern DEFAULT_STROKE_FILL_PATTERN

  Default fill pattern value.

### DEFAULT_STROKE_FILL_STYLE

    static final FillStyle DEFAULT_STROKE_FILL_STYLE

  Default fill style value.

### DEFAULT_STROKE_LINE_CAP

    static final LineCap DEFAULT_STROKE_LINE_CAP

  Default line cap value.

### DEFAULT_STROKE_LINE_GAP

    static final float DEFAULT_STROKE_LINE_GAP

  Default line gap value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_LINE_JOIN

    static final LineJoin DEFAULT_STROKE_LINE_JOIN

  Default line join value.

### DEFAULT_STROKE_LINE_PATTERN

    static final LinePattern DEFAULT_STROKE_LINE_PATTERN

  Default stroke line pattern value.

### DEFAULT_STROKE_LINE_STYLE

    static final LineStyle DEFAULT_STROKE_LINE_STYLE

  Default line style value.

### DEFAULT_STROKE_OPACITY

    static final float DEFAULT_STROKE_OPACITY

  Default stroke opacity value.

  See Also:
    Constant Field Values

### DEFAULT_STROKE_WIDTH

    static final float DEFAULT_STROKE_WIDTH

  Default stroke width value.

  See Also:
    Constant Field Values

Method Detail

### getStrokeBeginArrowStyle

    ArrowStyle getStrokeBeginArrowStyle()

  Returns the stroke begin arrow style value.

  Returns:
    the stroke begin arrow style value.

### setStrokeBeginArrowStyle

    void setStrokeBeginArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke begin arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke begin arrow style value.

### getStrokeEndArrowStyle

    ArrowStyle getStrokeEndArrowStyle()

  Returns the stroke end arrow style value.

  Returns:
    the stroke end arrow style value.

### setStrokeEndArrowStyle

    void setStrokeEndArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke end arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke end arrow style value.

### getStrokeColor

    Color getStrokeColor()

  Returns the stroke color value.

  Returns:
    the stroke color value.

### setStrokeColor

    void setStrokeColor(Color strokeColor)

  Sets the stroke color value.

  Parameters:
    `strokeColor` - the stroke color value.

### getStrokeDashArray

    DashArray getStrokeDashArray()

  Returns the stroke dash array value.

  Returns:
    the stroke dash array value.

### setStrokeDashArray

    void setStrokeDashArray(DashArray strokeDashArray)

  Sets the stroke dash array value.

  Parameters:
    `strokeDashArray` - the stroke dash array value.

### getStrokeDashOffset

    float getStrokeDashOffset()

  Returns the stroke dash offset value.

  Returns:
    the stroke dash offset value.

### setStrokeDashOffset

    void setStrokeDashOffset(float strokeDashOffset)

  Sets the stroke dash offset value.

  Parameters:
    `strokeDashOffset` - the stroke dash offset value.

### getStrokeFillColor

    Color getStrokeFillColor()

  Returns the fill color value.

  Returns:
    the fill color value.

### setStrokeFillColor

    void setStrokeFillColor(Color fillColor)

  Sets the fill color value.

  Parameters:
    `fillColor` - the fill color value.

### getStrokeFillBackgroundColor

    Color getStrokeFillBackgroundColor()

  Returns the fill background color value.

  Returns:
    the fill background color value.

### setStrokeFillBackgroundColor

    void setStrokeFillBackgroundColor(Color fillBackgroundColor)

  Sets the fill background color value.

  Parameters:
    `fillBackgroundColor` - the fill background color value.

### getStrokeFillGradientPoints

    float[] getStrokeFillGradientPoints()

  Returns the fill gradient points value, or null if there is no fill gradient.

  Returns:
    the fill gradient points value.

### setStrokeFillGradientPoints

    void setStrokeFillGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value, or null to specify no fill gradient.

### getStrokeFillOpacity

    float getStrokeFillOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### setStrokeFillOpacity

    void setStrokeFillOpacity(float fillOpacity)

  Sets the fill opacity value.

  Parameters:
    `fillOpacity` - the fill opacity value.

### getStrokeFillPattern

    FillPattern getStrokeFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### setStrokeFillPattern

    void setStrokeFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### getStrokeFillStyle

    FillStyle getStrokeFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### setStrokeFillStyle

    void setStrokeFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

### getStrokeLineCap

    LineCap getStrokeLineCap()

  Returns the stroke line cap value.

  Returns:
    the stroke line cap value.

### setStrokeLineCap

    void setStrokeLineCap(LineCap strokeLineCap)

  Sets the stroke line cap value.

  Parameters:
    `strokeLineCap` - the stroke line cap value.

### getStrokeLineGap

    float getStrokeLineGap()

  Returns the stroke line gap value.

  Returns:
    the stroke line gap value.

### setStrokeLineGap

    void setStrokeLineGap(float strokeLineGap)

  Sets the stroke line gap value.

  Parameters:
    `strokeLineGap` - the stroke line gap value.

### getStrokeLineJoin

    LineJoin getStrokeLineJoin()

  Returns the stroke line join value.

  Returns:
    the stroke line join value.

### setStrokeLineJoin

    void setStrokeLineJoin(LineJoin strokeLineJoin)

  Sets the stroke line join value.

  Parameters:
    `strokeLineJoin` - the stroke line join value.

### getStrokeLinePattern

    LinePattern getStrokeLinePattern()

  Returns the stroke line pattern value.

  Returns:
    the stroke line pattern value.

### setStrokeLinePattern

    void setStrokeLinePattern(LinePattern strokeLinePattern)

  Sets the stroke line pattern value.

  Parameters:
    `strokeLinePattern` - the stroke line pattern value.

### getStrokeLineStyle

    LineStyle getStrokeLineStyle()

  Returns the stroke line style value.

  Returns:
    the stroke line style value.

### setStrokeLineStyle

    void setStrokeLineStyle(LineStyle strokeLineStyle)

  Sets the stroke line style value.

  Parameters:
    `strokeLineStyle` - the stroke line style value.

### getStrokeOpacity

    float getStrokeOpacity()

  Returns the stroke opacity value.

  Returns:
    the stroke opacity value.

### setStrokeOpacity

    void setStrokeOpacity(float strokeOpacity)

  Sets the stroke opacity value.

  Parameters:
    `strokeOpacity` - the stroke opacity value.

### getStrokeWidth

    float getStrokeWidth()

  Returns the width value.

  Returns:
    the width value.

### setStrokeWidth

    void setStrokeWidth(float width)

  Sets the width value.

  Parameters:
    `width` - the width value.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.